Skip to main content
`Ctrl`+`K`

# PetscOptionsName

Determines if a particular option has been set in the database. This returns true whether the option is a number, string or boolean, even its value is set to false.

## Synopsis

    #include <petscoptions.h>
    PetscErrorCode PetscOptionsName(const char opt[], const char text[], const char man[], PetscBool *set)

Logically Collective on the communicator passed in `PetscOptionsBegin()`

## Input Parameters

- opt - option name

- text - short string that describes the option

- man - manual page with additional information on option

## Output Parameter

- set - `PETSC_TRUE` if found, else `PETSC_FALSE`

## Note

Must be used between a `PetscOptionsBegin()` and a `PetscOptionsEnd()`

## See Also

`PetscOptionsGetReal()`, `PetscOptionsHasName()`, `PetscOptionsGetString()`, `PetscOptionsGetInt()`, `PetscOptionsGetIntArray()`, `PetscOptionsGetRealArray()`, `PetscOptionsGetBool()`, `PetscOptionsInt()`, `PetscOptionsString()`, `PetscOptionsReal()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`

## Level

beginner

## Location

include/petscoptions.h

## Examples

src/snes/tutorials/ex15.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages